## ros-indigo-rail-pick-and-place-msgs 1.1.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rail_pick_and_place_msgs)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  actionlib_msgs
  geometry_msgs
  message_generation
  rail_manipulation_msgs
  sensor_msgs
)

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate actions in the 'action' folder
add_action_files(FILES
  GenerateModels.action
  GetYesNoFeedback.action
  GraspAndStore.action
  RetrieveGraspDemonstration.action
  RetrieveGraspModel.action
  TrainMetrics.action
)

## Generate messages in the 'msg' folder
add_message_files(FILES
  GraspDemonstration.msg
  GraspModel.msg
  GraspWithSuccessRate.msg
)

## Generate services in the 'srv' folder
add_service_files(FILES
  RemoveObject.srv
)

generate_messages(DEPENDENCIES
  actionlib_msgs
  geometry_msgs
  rail_manipulation_msgs
  sensor_msgs
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

=== debian/changelog ===
ros-indigo-rail-pick-and-place-msgs (1.1.9-0trusty) trusty; urgency=high

  * Update package.xml
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.1.8-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.1.7-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.1.6-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 05 May 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.1.5-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.1.4-0trusty) trusty; urgency=high

  * reuse of grasp message
  * Added remove object functionality for the recognized object list
  * Contributors: David Kent, Russell Toris
  * changelog updated
  * removed metric pre-compute
  * stores metrics
  * added segmented images to the database
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.1.3-0trusty) trusty; urgency=high

  * removed metric pre-compute
  * stores metrics
  * added segmented images to the database
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.1.2-0trusty) trusty; urgency=high

  * new metric trainier
  * metric trainer addition
  * Added metric data collection for decision tree training
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.1.1-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 06 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.1.0-0trusty) trusty; urgency=high

  * grasp model retriever added
  * general cleanup
  * major refactor of model generation
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.0.4-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.0.3-0trusty) trusty; urgency=high

  * starting to cleanup model generator
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.0.2-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 30 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.0.1-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (1.0.0-0trusty) trusty; urgency=high

  * Removed unused messages
  * grasp model class added
  * ID returned from add
  * major refactor
  * model added
  * added node to load and publish grasps
  * new message for grasp demo
  * travis fix
  * missing dep
  * minor edits
  * all but storing in the SQL database redone for grasp collection
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (0.0.2-0trusty) trusty; urgency=high

  * catkin cleanup
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Wed, 18 Feb 2015 05:00:00 -0000

ros-indigo-rail-pick-and-place-msgs (0.0.1-0trusty) trusty; urgency=high

  * prep for release
  * Initial commit
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Wed, 22 Oct 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-rail-pick-and-place-msgs
Section: misc
Priority: extra
Maintainer: David Kent <dekent@gatech.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-rail-manipulation-msgs, ros-indigo-sensor-msgs
Homepage: http://ros.org/wiki/rail_pick_and_place_msgs
Standards-Version: 3.9.2

Package: ros-indigo-rail-pick-and-place-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-rail-manipulation-msgs, ros-indigo-sensor-msgs
Description: Messages and Services for RAIL Pick and Place

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rail-pick-and-place-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
